$(document).ready(function(){
	
// выделение строки	
//$('tr td.del_all').toggle(
	$('.select_tr').toggle(
    function(e){// делай раз!
	$(this).css('background-color','#00bfff');
	$(this).addClass('comparison');
},
    function(e){// делай два!
	$(this).css('background-color','#fff');
	$(this).removeClass('comparison');
	}
);
	
// Сравнение	
$('#comparison_div').toggle(
    function(e){// делай раз!
	if ($(".comparison").length!=0)
	{$(".hide_td").css('color','#f8f4ff');
	$(this).css('color','#008cf0');
	$(".all_tr").hide();
	$(".comparison").show();}
	else{alert('Нет выбранных стран. Для сравнения нужно выбрать несколько стран, кликнув на строку со страной.');}
},
    function(e){// делай два!
	if ($(".comparison").length!=0)
	{$(".hide_td").css('color','#f8f4ff');
	$(this).css('color','#008cf0');
	$(".all_tr").hide();
	$(".comparison").show();}
	else{alert('Нет выбранных стран. Для сравнения нужно выбрать несколько стран, кликнув на строку со страной.');}
	}
);	

// Сбросить сравнение	
$('#reset_comparison_div').toggle(
    function(e){// делай раз!
	$(".hide_td").css('color','#f8f4ff');
	$(this).css('color','#008cf0');
	$(".all_tr").hide();
	$(".all_tr").show();
	$('tr').removeClass('comparison');
	$('tr').css('background-color','#fff');
},
    function(e){// делай два!
	$(".hide_td").css('color','#f8f4ff');
	$(this).css('color','#008cf0');
	$(".all_tr").hide();
	$(".all_tr").show();
	$('tr').removeClass('comparison');
	$('tr').css('background-color','#fff');
	}
);	

	
	
	// Стартовая страница	
	$(".del_all").hide();
	$(".area_td").show();
//	$(".population_td").show();


//	$(".vvp_td").show();
	
// География	
/*$('#geography_div').toggle(
    function(e){// делай раз!
	$(".hide_td").css('color','#f8f4ff');
	$(this).css('color','#008cf0');
	$(".del_all").hide();
	$(".geography").show();
},
    function(e){// делай два!
	$(".hide_td").css('color','#f8f4ff');
	$(this).css('color','#008cf0');
	$(".del_all").hide();
	$(".geography").show();
	}
);*/

	

// Промышленность	
/*$('#industry_div').toggle(
    function(e){// делай раз!
	$(".hide_td").css('color','#f8f4ff');
	$(this).css('color','#008cf0');
	$(".del_all").hide();
	$(".industry").show();
},
    function(e){// делай два!
	$(".hide_td").css('color','#f8f4ff');
	$(this).css('color','#008cf0');
	$(".del_all").hide();
	$(".industry").show();}
);*/
	
// Энергетика	
/*$('#electricity_div').toggle(
    function(e){// делай раз!
	$(".hide_td").css('color','#f8f4ff');
	$(this).css('color','#008cf0');
	$(".del_all").hide();
	$(".electricity").show();
},
    function(e){// делай два!
	$(".hide_td").css('color','#f8f4ff');
	$(this).css('color','#008cf0');
	$(".del_all").hide();
	$(".electricity").show();}
);*/

// Туризм 	
/*$('#tourism_div').toggle(
    function(e){// делай раз!
	$(".hide_td").css('color','#f8f4ff');
	$(this).css('color','#008cf0');
	$(".del_all").hide();
	$(".tourism").show();
},
    function(e){// делай два!
	$(".hide_td").css('color','#f8f4ff');
	$(this).css('color','#008cf0');
	$(".del_all").hide();
	$(".tourism").show();}
);*/

// Медицина
/*$('#medicine_div').toggle(
    function(e){// делай раз!
	$(".hide_td").css('color','#f8f4ff');
	$(this).css('color','#008cf0');
	$(".del_all").hide();
	$(".medicine").show();
},
    function(e){// делай два!
	$(".hide_td").css('color','#f8f4ff');
	$(this).css('color','#008cf0');
	$(".del_all").hide();
	$(".medicine").show();}
);*/

// Образование
/*$('#education_div').toggle(
    function(e){// делай раз!
	$(".hide_td").css('color','#f8f4ff');
	$(this).css('color','#008cf0');
	$(".del_all").hide();
	$(".education").show();
},
    function(e){// делай два!
	$(".hide_td").css('color','#f8f4ff');
	$(this).css('color','#008cf0');
	$(".del_all").hide();
	$(".education").show();}
);*/

// Население
/*$('#demography_div').toggle(
    function(e){// делай раз!
	$(".hide_td").css('color','#f8f4ff');
	$(this).css('color','#008cf0');
	$(".del_all").hide();
	$(".demography").show();
},
    function(e){// делай два!
	$(".hide_td").css('color','#f8f4ff');
	$(this).css('color','#008cf0');
	$(".del_all").hide();
	$(".demography").show();}
);*/
	
// Всемирный экономический форум
/*$('#wef_tt2017_div').toggle(
    function(e){// делай раз!
	$(".hide_td").css('color','#f8f4ff');
	$(this).css('color','#008cf0');
	$(".del_all").hide();
	$(".wef_tt2017").show();
},
    function(e){// делай два!
	$(".hide_td").css('color','#f8f4ff');
	$(this).css('color','#008cf0');
	$(".del_all").hide();
	$(".wef_tt2017").show();}
);*/
	
	
	// Скрытие и показ столбцов
$('#area_div').toggle(
    function(e){// делай раз!
	if ($(".area_td").is(':hidden')){$(this).css('color','#f8f4ff');$(".area_td").show();}else{$(this).css('color','#b7b7b7');$(".area_td").hide();}
	},
    function(e){// делай два!
	$(this).css('color','#f8f4ff');$(".area_td").show();}
);	
$('#population_div').toggle(
    function(e){// делай раз!
	$(this).css('color','#b7b7b7');$(".population_td").hide();},
    function(e){// делай два!
	$(this).css('color','#f8f4ff');$(".population_td").show();}
);	
$('#population_density_div').toggle(
    function(e){// делай раз!
	$(this).css('color','#b7b7b7');$(".population_density_td").hide();},
    function(e){// делай два!
	$(this).css('color','#f8f4ff');$(".population_density_td").show();}
);
$('#vvp_tourism_div').toggle(
    function(e){// делай раз!
	$(this).css('color','#b7b7b7');$(".vvp_tourism_td").hide();},
    function(e){// делай два!
	$(this).css('color','#f8f4ff');$(".vvp_tourism_td").show();}
);
$('#life_expectancy_div').toggle(
    function(e){// делай раз!
	$(this).css('color','#b7b7b7');$(".life_expectancy_td").hide();},
    function(e){// делай два!
	$(this).css('color','#f8f4ff');$(".life_expectancy_td").show();}
);
$('#number_tourists_div').toggle(
    function(e){// делай раз!
	$(this).css('color','#b7b7b7');$(".number_tourists_td").hide();},
    function(e){// делай два!
	$(this).css('color','#f8f4ff');$(".number_tourists_td").show();}
);
$('#human_development_index_div').toggle(
    function(e){// делай раз!
	$(this).css('color','#b7b7b7');$(".human_development_index_td").hide();},
    function(e){// делай два!
	$(this).css('color','#f8f4ff');$(".human_development_index_td").show();}
);
$('#peace_index_div').toggle(
    function(e){// делай раз!
	$(this).css('color','#b7b7b7');$(".peace_index_td").hide();},
    function(e){// делай два!
	$(this).css('color','#f8f4ff');$(".peace_index_td").show();}
);
$('#electricity_production_div').toggle(
    function(e){// делай раз!
	$(this).css('color','#b7b7b7');$(".electricity_production_td").hide();},
    function(e){// делай два!
	$(this).css('color','#f8f4ff');$(".electricity_production_td").show();}
);	
$('#electricity_consumption_div').toggle(
    function(e){// делай раз!
	$(this).css('color','#b7b7b7');$(".electricity_consumption_td").hide();},
    function(e){// делай два!
	$(this).css('color','#f8f4ff');$(".electricity_consumption_td").show();}
);
$('#electricity_fossil_fuels_div').toggle(
    function(e){// делай раз!
	$(this).css('color','#b7b7b7');$(".electricity_fossil_fuels_td").hide();},
    function(e){// делай два!
	$(this).css('color','#f8f4ff');$(".electricity_fossil_fuels_td").show();}
);
$('#electricity_nuclear_fuel_div').toggle(
    function(e){// делай раз!
	$(this).css('color','#b7b7b7');$(".electricity_nuclear_fuel_td").hide();},
    function(e){// делай два!
	$(this).css('color','#f8f4ff');$(".electricity_nuclear_fuel_td").show();}
);
$('#electricity_hydroelectric_div').toggle(
    function(e){// делай раз!
	$(this).css('color','#b7b7b7');$(".electricity_hydroelectric_td").hide();},
    function(e){// делай два!
	$(this).css('color','#f8f4ff');$(".electricity_hydroelectric_td").show();}
);
$('#electricity_renewable_source_div').toggle(
    function(e){// делай раз!
	$(this).css('color','#b7b7b7');$(".electricity_renewable_source_td").hide();},
    function(e){// делай два!
	$(this).css('color','#f8f4ff');$(".electricity_renewable_source_td").show();}
);
$('#average_salary_div').toggle(
    function(e){// делай раз!
	$(this).css('color','#b7b7b7');$(".average_salary_td").hide();},
    function(e){// делай два!
	$(this).css('color','#f8f4ff');$(".average_salary_td").show();}
);
$('#gasoline_251217_div').toggle(
    function(e){// делай раз!
	$(this).css('color','#b7b7b7');$(".gasoline_251217_td").hide();},
    function(e){// делай два!
	$(this).css('color','#f8f4ff');$(".gasoline_251217_td").show();}
);
$('#diesel_251217_div').toggle(
    function(e){// делай раз!
	$(this).css('color','#b7b7b7');$(".diesel_251217_td").hide();},
    function(e){// делай два!
	$(this).css('color','#f8f4ff');$(".diesel_251217_td").show();}
);
$('#vvp_div').toggle(
    function(e){// делай раз!
	$(this).css('color','#b7b7b7');$(".vvp_td").hide();},
    function(e){// делай два!
	$(this).css('color','#f8f4ff');$(".vvp_td").show();}
);	







// Африка
$('#africa_div').toggle(
    function(e){// делай раз!
	$(".hide_cont_td").css('color','#2c3136');
	$(".hide_cont_td").css('opacity','0.7');
	$(this).css('color','#4cbb17');
	$(this).css('opacity','1');
	$(".all_tr").hide();
	$(".shell_choice_continents").hide();
	$(".africa").show();
},
    function(e){// делай два!
	$(".hide_cont_td").css('color','#2c3136');
	$(".hide_cont_td").css('opacity','0.7');
	$(this).css('color','#4cbb17');
	$(this).css('opacity','1');
	$(".all_tr").hide();
	$(".shell_choice_continents").hide();
	$(".africa").show();}
);
// Азия
$('#asia_div').toggle(
    function(e){// делай раз!
	$(".hide_cont_td").css('color','#2c3136');
	$(".hide_cont_td").css('opacity','0.7');
$(this).css('color','#4cbb17');
$(this).css('opacity','1');
	$(".all_tr").hide();
	$(".shell_choice_continents").hide();
	$(".asia").show();
},
    function(e){// делай два!
	$(".hide_cont_td").css('color','#2c3136');
	$(".hide_cont_td").css('opacity','0.7');
$(this).css('color','#4cbb17');
$(this).css('opacity','1');
	$(".all_tr").hide();
	$(".shell_choice_continents").hide();
	$(".asia").show();}
);
// Европа
$('#europe_div').toggle(
    function(e){// делай раз!
	$(".hide_cont_td").css('color','#2c3136');
	$(".hide_cont_td").css('opacity','0.7');
$(this).css('color','#4cbb17');
$(this).css('opacity','1');
	$(".all_tr").hide();
	$(".shell_choice_continents").hide();
	$(".europe").show();
},
    function(e){// делай два!
	$(".hide_cont_td").css('color','#2c3136');
	$(".hide_cont_td").css('opacity','0.7');
$(this).css('color','#4cbb17');
$(this).css('opacity','1');
	$(".all_tr").hide();
	$(".shell_choice_continents").hide();
	$(".europe").show();}
);
// Океания
$('#oceania_div').toggle(
    function(e){// делай раз!
	$(".hide_cont_td").css('color','#2c3136');
	$(".hide_cont_td").css('opacity','0.7');
$(this).css('color','#4cbb17');
$(this).css('opacity','1');
	$(".all_tr").hide();
	$(".shell_choice_continents").hide();
	$(".oceania").show();
},
    function(e){// делай два!
	$(".hide_cont_td").css('color','#2c3136');
	$(".hide_cont_td").css('opacity','0.7');
$(this).css('color','#4cbb17');
$(this).css('opacity','1');
	$(".all_tr").hide();
	$(".shell_choice_continents").hide();
	$(".oceania").show();}
);
// Сев.Америка
$('#north_america_div').toggle(
    function(e){// делай раз!
	$(".hide_cont_td").css('color','#2c3136');
	$(".hide_cont_td").css('opacity','0.7');
$(this).css('color','#4cbb17');
$(this).css('opacity','1');
	$(".all_tr").hide();
	$(".shell_choice_continents").hide();
	$(".north_america").show();
},
    function(e){// делай два!
	$(".hide_cont_td").css('color','#2c3136');
	$(".hide_cont_td").css('opacity','0.7');
$(this).css('color','#4cbb17');
$(this).css('opacity','1');
	$(".all_tr").hide();
	$(".shell_choice_continents").hide();
	$(".north_america").show();}
);
// Южная Америка
$('#south_america_div').toggle(
    function(e){// делай раз!
	$(".hide_cont_td").css('color','#2c3136');
	$(".hide_cont_td").css('opacity','0.7');
$(this).css('color','#4cbb17');
$(this).css('opacity','1');
	$(".all_tr").hide();
	$(".shell_choice_continents").hide();
	$(".south_america").show();
},
    function(e){// делай два!
	$(".hide_cont_td").css('color','#2c3136');
	$(".hide_cont_td").css('opacity','0.7');
$(this).css('color','#4cbb17');
$(this).css('opacity','1');
	$(".all_tr").hide();
	$(".shell_choice_continents").hide();
	$(".south_america").show();}
);
// Все континенты
$('#all_continents_div').toggle(
    function(e){// делай раз!
	$(".hide_cont_td").css('color','#2c3136');
	$(".hide_cont_td").css('opacity','0.7');
$(this).css('color','#4cbb17');
$(this).css('opacity','1');
	$(".shell_choice_continents").hide();
	$(".all_tr").show();
//	$(".south_america").show();
},
    function(e){// делай два!
	$(".hide_cont_td").css('color','#2c3136');
	$(".hide_cont_td").css('opacity','0.7');
$(this).css('color','#4cbb17');
$(this).css('opacity','1');
	$(".shell_choice_continents").hide();
	$(".all_tr").show();
//	$(".south_america").show();
}
);



});